package com.cultural.heritage.model.dto.appointment;

import com.cultural.heritage.model.dto.timePeriod.TimePeriodUpdateRequest;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

@Data
@Schema(description = "预约日期更新请求体", requiredProperties = {"id", "specificDate",
"isAvailable", "timePeriodUpdateRequestList"})
public class AppointmentDateUpdateRequest implements Serializable {

    /**
     * 预约日期id
     */
    @Schema(description = "预约日期id", example = "12")
    private Long id;


    /**
     * 预约具体日期
     */
    @Schema(description = "预约具体日期", example = "2024-11-09")
    private String specificDate;


    /**
     * 是否可预约
     */
    @Schema(description = "是否可预约", example = "1")
    private Integer isAvailable;


    /**
     * 预约时间段
     */
    @Schema(description = "预约时间段")
    private List<TimePeriodUpdateRequest> timePeriodUpdateRequestList;



    @Serial
    private static final long serialVersionUID = 1L;
}
