package com.cultural.heritage.model.dto.cartService;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "购物车记录添加请求体", requiredProperties = {"goodId", "quantity"})
public class CartExperienceAddRequest implements Serializable {

    /**
     * 商品id
     */
    @Schema(description = "商品id(id > 0)", example = "20")
    private Long goodId;

    /**
     * 数量
     */
    @Schema(description = "商品数量(quantity > 0)", example = "3")
    private Integer quantity;

    /**
     * 预约日期
     */
    @Schema(description = "预约日期", example = "2025-02-08")
    private String reservationDate;


    /**
     * 预约时间段
     */
    @Schema(description = "预约时间段", example = "8:00-11:00")
    private String timeSlot;

    @Serial
    private static final long serialVersionUID = 1L;
}
