package com.cultural.heritage.model.dto.snapshot;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
@Schema(description = "订单商品信息", requiredProperties = {"id", "name", "type", "price", "goodImg", "festivalName", "reserveDate"})
public class GoodSnapshot implements Serializable {


    /**
     * 商品id
     */
    @Schema(description = "商品id(id > 0)", example = "332")
    private Long id;


    /**
     * 商品名
     */
    @Schema(description = "商品名", example = "团扇")
    private String name;

    /**
     * 商品类型
     */
    @Schema(description = "商品类型", example = "材料包")
    private String type;

    /**
     * 商品价格
     */
    @Schema(description = "商品价格", example = "200.00")
    private BigDecimal price;

    /**
     * 商品图片
     */
    @Schema(description = "商品图片地址", example = "https://xxx/xxx.jpg")
    private String goodImg;


    /**
     * 限定节日名称
     */
    @Schema(description = "节日名称(端午节，中秋节)", example = "元旦节")
    private String festivalName;



    @Serial
    private static final long serialVersionUID = 1L;
}
