package com.cultural.heritage.model.dto.user;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 用户创建请求
 */

@Data
@Schema(description = "用户创建请求体", requiredProperties = {"userName", "userAccount", "userPassword", "userAvatar", "userRole"})
public class UserAddRequest implements Serializable {


    /**
     * 用户昵称
     */
    @Schema(description = "用户昵称", example = "李四")
    private String userName;

    /**
     * 账号
     */
    @Schema(description = "账号", example = "134354539493584")
    private String userAccount;

    /**
     * 密码
     */
    @Schema(description = "密码", example = "2342333333343232")
    private String userPassword;


    /**
     * 用户头像
     */
    @Schema(description = "用户头像", example = "https://xxx/xxx.jpg")
    private String userAvatar;


    /**
     * 用户角色 user, admin
     */
    @Schema(description = "用户角色(包括boss, admin, user, ban, 但只能一个超级管理员创建管理员)", example = "admin")
    private String userRole;

    @Serial
    private static final long serialVersionUID = 1L;

}
