package com.cultural.heritage.model.dto.user;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "用户登录请求体", requiredProperties = {"userAccount", "userPassword"})
public class UserLoginRequest implements Serializable {

    /**
     * 账号
     */
    @Schema(description = "账号", example = "feiyi")
    private String userAccount;


    /**
     * 密码
     */
    @Schema(description = "密码", example = "123456")
    private String userPassword;

    @Serial
    private static final long serialVersionUID = 1L;
}
